package com.zswl.cloud.springBatch.client.service;

import com.github.microservice.auth.client.content.ResultContent;
import com.xiaoju.open.oil.interfaces.response.QueryApiStorePriceResponse;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import java.util.List;

@FeignClient(name = "springbatchservice/manager/xiaoju")
public interface XiaoJuService {
    @ApiOperation("批量查询加油站详情")
    @RequestMapping(value = "queryStorePrice", method = RequestMethod.POST, consumes = MediaType.APPLICATION_JSON_VALUE)
    ResultContent<List<QueryApiStorePriceResponse>> queryStorePrice(@RequestBody List<String> storeIdList);





}
